<?php // $Id: act_authenticate.php,v 1.21 2004/10/11 10:42:42 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

// Globale sicher initialisieren
$bAuthenticated         = false;
$apx_auth_login         = $apx_user_login;
$apx_auth_usertype      = count( $apx_usertypes ) - 1;
$apx_auth_editor_id     = -1;
$apx_auth_editorinfo    = '';

// Login-Prozess
if ( apxIsPost( 'user' ) && apxIsPost( 'pw' ) &&
     $apx_a != 'logout' ) {
    // fuer qry_editors.php
    $sEditorFilter = 'WHERE active = 1 AND login = \''.trim( $_POST['user'] ).
                     '\' AND password = \''.md5( trim( $_POST['pw'] ) ).'\'';

    require( $apx_root_path.'qry/qry_editors.php' );

    // Nur wenn mind. 1 entspr. Bearbeiter gefunden, dann Login erfolgreich
    if( is_object( $qEditors ) && $qEditors->rows >= 1 ) {
        // Random-Generator initialisieren
        srand( (double) microtime() * 1000000 );

        // Session-ID generieren und speichern
        while( !( $apx_session_id = md5( uniqid( rand() ) ) ) ) ;

        // neue Session speichern
        $apx_dbc->query( "
                  INSERT INTO ".$apx_dbtableprefix."editorsessions
                  ( session_id, editor_id, created )
                  VALUES
                  ( '".$apx_session_id."', ".
                  $qEditors->data[ 0 ][ 'editor_id' ].", ".time()." )" );

        // Login haelt 2 Stunden
        $apx_a = $apx_std_homepage =
                 $apx_std_homepages[ $qEditors->data[ 0 ][ 'startpage' ] ][ 1 ];

        setcookie( "apx_session_id", $apx_session_id, time() + 7200 );
        setcookie( "apx_std_homepage", $apx_std_homepage, time() + 7200 );
        apxAutoredirect( $apx_script, 'javascript' );
    }
    else
        $bLoginError = 1;
}
// Logout-Prozess
elseif( $apx_a == 'logout' ) {
    // Session_id loeschen
    $apx_dbc->query( "
                DELETE FROM ".$apx_dbtableprefix."editorsessions
                WHERE session_id = '".$_COOKIE[ 'apx_session_id' ]."'
                " );

    setcookie( "apx_session_id", 0 );
    apxAutoredirect( $apx_script.'?apx_a=login', 'javascript' );
}

// Applanix-Benutzung: Ueberpruefung auf gueltige Session
if( isset( $_COOKIE[ 'apx_session_id' ] ) ) {
    $apx_session_id = $_COOKIE[ 'apx_session_id' ];

    // Veraltete (aelter als 2 Stunden) Session_id loeschen
    // Wer also 2 Stunden nichts tut der wird geloescht und muss sich
    // wieder neu einloggen
    $apx_dbc->query( "DELETE FROM ".$apx_dbtableprefix."editorsessions
                      WHERE (".time()." - created) > 7200" );

    // Fuer eingeloggten User die Session updaten
    $apx_dbc->query( "UPDATE ".$apx_dbtableprefix."editorsessions
                      SET created = ".time()."
                      WHERE session_id = '$apx_session_id'" );

    require( 'qry/qry_sessioninfo.php' );

    if( is_object( $qSession ) && $qSession->rows >= 1 ) {
        $apx_auth_editor_id     = $qSession->data[ 0 ][ 'editor_id' ];
        $apx_auth_login         = $qSession->data[ 0 ][ 'login' ];
        $apx_auth_editorinfo    = $qSession->data[ 0 ][ 'firstname' ].
                                  ' '.$qSession->data[ 0 ][ 'lastname' ].
                                  ' ('.$apx_usertypes[ $qSession->data[ 0 ][ 'usertype' ] ][0].')';
        $apx_auth_usertype      = $qSession->data[ 0 ][ 'usertype' ];
        $bAuthenticated         = true;
    }
    elseif( $apx_session_id ) {  // Nur wenn richtige Session aktiv war!
        trigger_error( $apx_errors[13], E_USER_WARNING );
    }
}


if( !$bAuthenticated ) {
    if( $apx_a != 'logout' ) {
        $apx_a = 'login';
    }
}
else {
    $apx_pagetitle .= " - ".$apx_auth_login;
}

// Eingeloggte Benutzer anzeigen!
require( 'qry/qry_activesessions.php' );

$apx_activesessions = $qActiveSessions->data[ 0 ][ 'activesessions' ];

?>
