<?php // $Id: dsp_form_booking.tmpl.php,v 1.9 2004/10/11 10:42:45 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

?>

<tr>
<td class="apx_labelbg"><strong><?= _( "Customer" ) ?>:</strong></td>
<td class="apx_mainbg"><span class="mgemph"><apx_formfield name="customername" /></span>
<apx_formfield name="customer_id" /></td>
<td colspan="2" class="apx_mainbg">
<apx_formfield name="is_inquiry" />
   <?= _( "This booking is still an inquiry!" ) ?><br />
</td>
</tr>

<tr>
<td class="apx_labelbg"><strong><?= _( "Room" ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="room_id" /></td>
<td colspan="2" class="apx_mainbg">
<apx_formfield name="confirmed" />
   <?= _( "A confirmation was sent to the customer" ) ?>
</td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Report status" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="reported" /></td>
<td class="apx_mainbg" colspan="2" >
<apx_formfield name="payed" />
   <?= _( "The customer has payed the bill." ) ?>
</td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Booking status" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="checkedin" /></td>
<td colspan="2" class="apx_mainbg">
<apx_formfield name="showit" />
   <?= _( "Enable this booking to be shown in the reservation table" ) ?><br />
</td>
</tr>

<tr>
<td class="apx_labelbg"><strong><?= _( "Arrival" ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="date_begin" />
    (<apx_formfield name="periodlength" /> <?= _( "Day/s till" ) ?>)</td>
<td class="apx_labelbg"><strong><?= _( "Departure" ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="date_end" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "No. of days to pay" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="daystopay" /> <?= _( "days" ) ?></td>
<td class="apx_labelbg"><?= _( "Overall no. of pers." ) ?>: </td>
<td class="apx_mainbg"><apx_formfield name="persons" /></td>
</tr>

<tr>
<td class="apx_labelbg"><strong><?= _( "Daily fee (w/o taxes)" ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="priceperday" /></td>
<td class="apx_labelbg"><?= _( "No. of children included" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="children" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Bread roll &amp; room service" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="breadcosts" /></td>
<td class="apx_labelbg"><?= _( "Phone costs" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="phonecosts" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "End cleaning" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="cleansingcosts" /></td>
<td class="apx_labelbg"><?= _( "Deposit" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="prepayment" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Miscellaneous costs" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="misccosts" /></td>
<td class="apx_labelbg"><?= _( "Approximated time of arrival" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="timeofarrival" /> <?= _( "o'clock" ) ?></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Meals" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="meals" /></td>
<td class="apx_labelbg"><?= _( "Internet access" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="inetaccess" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Hint:<br /><strong>(max. 250 Char.)</strong>" ) ?></td>
<td colspan="3" class="apx_mainbg"><apx_formfield name="notice" /></td>
</tr>

<tr>
<td class="apx_headerbg" colspan="4"><span class="mgsubtitle"><?= _( "Billing" ) ?>:</span></td>
</tr>

<tr>
<td class="apx_labelbg"><strong><?= _( "Bill no." ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="bill_lfnr" />
    <span class="mgtxtsmall">(<?= _( "Last" ) ?>:
    <apx_formfield name="max_bill_lfnr" />)</span>
</td>
<td class="apx_labelbg"><strong><?= _( "Bill date" ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="bill_date" /></td>
</tr>

<tr>
<td class="apx_labelbg"><strong><?= _( "Bill address" ) ?>:</strong></td>
<td class="apx_mainbg"><apx_formfield name="ba_usebilladdress" />
	<?= _( "Use the following address instead of customer address." ) ?></td>
<td class="apx_labelbg"><?= _( "Addressee:" ) ?></td>
<td class="apx_mainbg"><apx_formfield name="ba_addressee" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Street:" ) ?></td>
<td class="apx_mainbg"><apx_formfield name="ba_street" /></td>
<td class="apx_labelbg"><?= _( "Place:" ) ?></td>
<td colspan="2" class="apx_mainbg"><apx_formfield name="ba_place" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "ZIP:" ) ?></td>
<td class="apx_mainbg"><apx_formfield name="ba_zip" /></td>
<td class="apx_labelbg"><?= _( "Country:" ) ?></td>
<td class="apx_mainbg"><apx_formfield name="ba_country_id" /></td>
</tr>

<tr>
<td colspan="4" class="apx_headerbg">
    <span class="mgsubtitle"><?= _( "Information for the guest report" ) ?>:</span></td>
</tr>

<tr>
<td class="apx_labelbg">&nbsp;</td>
<td class="apx_mainbg"><apx_formfield name="booking_type" /></td>
<td class="apx_labelbg"><?= _( "Report no." ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="guestcard_nr" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Firstname of spouse" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="wife_firstname" /></td>
<td class="apx_labelbg"><?= _( "Birthday of spouse" ) ?>:</td>
<td class="apx_mainbg"><apx_formfield name="wife_birthdate" /></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Children" ) ?>:</td>
<td colspan="3" class="apx_mainbg"><apx_formfield name="children_firstnames" />
    <span class="mgtxtsmall"><?= _( "(only firstnames, separated by commas)" ) ?></span></td>
</tr>

<tr>
<td class="apx_labelbg"><?= _( "Birthdays of children" ) ?>:</td>
<td colspan="3" class="apx_mainbg"><apx_formfield name="children_birthdates" />
    <span class="mgtxtsmall"><?= _( "(Format: YYYY-MM-DD, separated by commas)" ) ?>
    </span></td>
</tr>



