<?php // $Id: qry_customers.php,v 1.12 2004/10/11 10:42:46 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Required files:
 * -
 *
 * SQL String Functions required (Jet SQL Access 2000)
 * Parameter:
 * $sSearchPattern
 * $iRowsPerPage
 * $sSList
 * $iOffset
 * $apx_a
 */

// Ist diese Query schon mal ausgefuehrt worden
if( !isset( $b_qry_customers_included ) ):

$b_qry_customers_included = true;

if( !isset( $sSearchPattern ) )
    $sSearchPattern = '';

$qListCount =
$apx_dbc->query( "
         SELECT count( ac.customer_id ) AS cuscount
         FROM ".$apx_dbtableprefix."customers AS ac ".
         $sSearchPattern );

$iListCount = $qListCount->data[ 0 ][ 'cuscount' ];


if( trim( $sSearchPattern ) == '' )
    $sSearchPattern = ' WHERE ';
else
    $sSearchPattern .= ' AND ';

$sSearchPattern .= 'ac.country_id = aco.country_id';


/* Liste der Customer_id erzeugen, von denen Adressettiketten
   erzeugt werden sollen */
if( $apx_a == 'labelprint' ) {
    $iListCount = ( is_object( $qListCount ) && $qListCount->rows ) ?
                  $qListCount->data[ 0 ][ 'cuscount' ] : 0;

    $sCustomerList = '';
    for( $i = 1; $i <= $iListCount; $i++ ) {
        if( isset( $_POST[ 'cus'.$i ] ) ) {
            if( $sCustomerList ) // not empty?
                $sCustomerList .= ',';
            $sCustomerList .= $_POST[ 'cus'.$i ];
        }
    }

    if( trim($sCustomerList != '') )
        $sSearchPattern .= ' AND ac.customer_id IN ('.$sCustomerList.')';
}


if( $iRowsPerPage == '--' )
    $iRowsPerPage = $iListCount;

if( $iRowsPerPage != '--' && $apx_a == 'customerdb' && $sSList->filter ) {
    if( $apx_dbsys == 'mysqli' ) {
        $sLimitString1 = '';
        $sLimitString2 = '';
        $sLimitString3 = 'LIMIT '.$iOffset.', '.$iRowsPerPage;
    }
    else if( $apx_dbsys == 'odbc' ) {
        $sLimitString1 = 'SELECT * FROM (SELECT TOP '.$iRowsPerPage.' * FROM (';
        $sLimitString2 = 'TOP '.($iOffset + $iRowsPerPage);
        $sLimitString3 = ') AS t1 ORDER BY ac.lastname DESC) AS t2 ORDER BY ac.lastname';
    }
}
else
    $sLimitString1 = $sLimitString2 = $sLimitString3 = '';


$qListData =
$apx_dbc->query(
         $sLimitString1."
         SELECT $sLimitString2
                ac.sex, ac.entrytype, ac.customer_id, ac.firstname, ac.lastname,
                ac.phone, ac.fax, ac.email, ac.title,
                ac.address, ac.zip, ac.place, aco.countryname_de AS country,
                aco.shortcut
         FROM   ".$apx_dbtableprefix."customers AS ac, ".$apx_dbtableprefix."countries AS aco
                $sSearchPattern
         ORDER BY ac.lastname, ac.firstname, ac.email
         $sLimitString3" );

endif;

?>
