<?php // $Id: qry_plan.php,v 1.13 2004/10/11 10:42:47 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * ACCESS 2000, Jet SQL, Funktion DateSerial( year, month, day )
 * wird benoetigt, da Access einen solchen String nicht in ein gueltiges
 * Datum umwandeln kann.
 *
 * Parameters:
 * $qr_room_id
 * $sStartDate ( im Format "YYYY, MM, DD" )
 * $sEndDate
 */

if( $apx_dbsys == 'mysqli' ) {
    $sPlanPart = "( ab.date_begin <= '".
                 str_replace( ', ', '-', $sEndDate )."' ) and
                 ( ab.date_end >= '".
                 str_replace( ', ', '-', $sStartDate )."' )";
}
elseif( $apx_dbsys == 'odbc' ) {
    $sPlanPart = "( ab.date_begin <= DateSerial( $sEndDate ) ) and
                  ( ab.date_end >= DateSerial( $sStartDate ) )";
}

$s_qstr = "
    SELECT  ab.customer_id, ab.room_id, ab.booking_id, ac.firstname,
            ac.lastname, ab.date_begin,
            ab.date_end, ab.notice, ab.priceperday, ab.cleansingcosts,
            ab.persons, ab.is_inquiry, ab.reported, ab.checkedin, ab.payed
    FROM    ".$apx_dbtableprefix."bookings AS ab
            INNER JOIN
            ".$apx_dbtableprefix."customers AS ac
            ON ab.customer_id = ac.customer_id
    WHERE   ab.room_id = $qr_room_id AND
            ab.showit = 1 AND
            ".$sPlanPart."
    ORDER BY ab.date_begin";

$qPlan = $apx_dbc->query( $s_qstr );


?>
