<?php // $Id: dsp_customers.php,v 1.16 2004/10/11 10:42:44 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

require_once( $apx_root_path."act_structs.php" );

// Struktur fuellen
$sSList = new APXSurveyList(
    'customerdb', 'customer', '', _( "Customer file" ),
    ( $apx_a == 'search' ? false : true ),
    true, 'lastname', 'customers', 'customer_id', 'qListData', 'qListCount'
    );

$sSList->enableMultiDel( 'customers' );

$sSList->initMessages(
    _( "There is no customer data available! Please, add new customers to the directory." ),
    _( "Add new customer" ),
    _( "lastname" )
    );

$sSList->addFilterCrit( 'ac.lastname', 'fc2', 'str', 'sfilter_crit2', '--' );
$sSList->addFilterCrit( 'ac.entrytype', 'fc1', 'num', 'sfilter_crit1', 0 );

$sSList->enableMultiDel( 'customers' );

$sSList->addColumn( _( 'Cus.no.' ),          's', 'customer_id' );
$sSList->addColumn( _( 'Lastname' ),         'p', '<a href="[=apx_script=]?apx_a=[?url_rowaction?]&do=u&id=[(customer_id)]">[(lastname)]</a>&nbsp;' );
$sSList->addColumn( _( 'Title' ),            's', 'title' );
$sSList->addColumn( _( 'Firstname' ),        's', 'firstname' );
$sSList->addColumn( _( 'Phone (home)' ),     's', 'phone' );
$sSList->addColumn( _( 'Fax' ),              's', 'fax' );
$sSList->addColumn( _( 'E-mail' ),           'i', $apx_root_path.'dsp/dsp_customers_col.php' );
$sSList->addColumn( _( 'Edit' ),             'e',
    '<a href="[=apx_script=]?apx_a=booking&do=i&customer_id=[(customer_id)]">
     <img title="'._( "Create new booking" ).'" src="[=apx_imgpath=]sym_new.gif"
     onMouseover="return dispStatus(\''._( "Create new booking" ).'\')"
     onMouseout="return dispStatus(\'\')"></a>' );

require( $apx_root_path.'dsp/dsp_list.php' );

?>
