<?php // $Id: dsp_form_inquiry.php,v 1.5 2004/10/11 10:42:45 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

require_once( $apx_root_path."act_structs.php" );

// Infos eintragen in Datenbank
if( apxIsGet( 'do', '', 0, true, 'i' ) &&
    apxIsGet( 'proc', '', 0, true, '1' ) ) {
    require( $apx_root_path.'act/act_proc_inquiry.php' );

    unset( $_GET[ 'proc' ] );
}
else {

$b_bookingform = true;
require( $apx_root_path.'qry/qry_rooms.php' );
$b_bookingform = false;

$apx_inquiry_action = '';

$oForm = new APXDataForm( 'inquiry', '', 4, '', '', false, '', false, '',
                          0, 'ud', $apx_inquiry_action );

$oForm->initMessages( 'i', _( 'Compose inquiry' ), _( 'Submit inquiry' ) );

// in *customer Tabelle
$oForm->addField( 'firstname',    'text',     'line',   'str',  '',  30,  30, '', true );
$oForm->addField( 'lastname',     'text',     'line',   'str',  '',  30,  50, '', true );
$oForm->addField( 'address',      'text',     'line',   'str',  '',  30,  100, '', true );
$oForm->addField( 'country_id',   'select',   'db',     'int',   2,   1,   0,
                  'qCountries;country_id;country;'._( 'No country specified!' ) );
$oForm->addField( 'zip',          'text',     'line',   'str',  '',  10,  15, '', true );
$oForm->addField( 'place',        'text',     'line',   'str',  '',  30,  50, '', true );
$oForm->addField( 'phone',        'text',     'line',   'str',  '',  30,  30  );
$oForm->addField( 'mobile',       'text',     'line',   'str',  '',  30,  30  );
$oForm->addField( 'fax',          'text',     'line',   'str',  '',  30,  30  );
$oForm->addField( 'email',        'text',     'email',  'str',  '',  30,  80  );

// in *bookings Tabelle
$oForm->addField( 'room_id',       'select',   'db',    'int',   0,  1,   0,
                  'qRoomData;room_id;room;'._( "No room specified!" ) );
$oForm->addField( 'date_begin',    'date',     '',       'date',  time(),  10,  12,  '', true );
$oForm->addField( 'date_end',      'date',     '',       'date',  time() + 86400,  10,  12,  '', true );
$oForm->addField( 'persons',       'select',   'count',  'int',   0,   1,   0, '0;'.$apx_persons_max );
$oForm->addField( 'children',      'select',   'count',  'int',   0,   1,   0, '0;'.$apx_children_max );
$oForm->addField( 'timeofarrival', 'select',   'array',  'int',   0,   1,   0, 'apx_times_of_arrival;n' );
$oForm->addField( 'notice',        'text',     'area',   'str',  '',  4,   85  );

$oForm->addField( 'is_inquiry',   'hidden',   '',       'int',  1 );

$oForm->setJavascript( '
    return assertTrue( date_begin.value, date_end.value, \'L\', \'apxdatestr\',
                       \''._( "Dates invalid! Arrival and departure have to differ at least one day." ).'\'
           );
' );

// Zusaetzliche Abfragen aus anderen Tabellen:
// Laenderdaten holen
require( $apx_root_path.'qry/qry_countries.php' );
require( $apx_root_path.'dsp/dsp_form.php' );

}
?>




