<?php // $Id: qry_bookings.php,v 1.6 2004/10/11 10:42:46 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Parameter:
 * $apx_a
 * $url_data_id (optional)
 * $iRowsPerPage
 * $sSList
 * $iOffset
 * $sSearchPattern
 */

if( $iRowsPerPage != '--' && $apx_a == 'bookingdb' && $sSList->filter ) {
   if( $apx_dbsys == 'mysqli' ) {
       $sLimitString1 = '';
       $sLimitString2 = '';
       $sLimitString3 = 'LIMIT '.$iOffset.', '.$iRowsPerPage;
   }
   else if( $apx_dbsys == 'odbc' ) {
       $sLimitString1 = 'SELECT * FROM (SELECT TOP '.$iRowsPerPage.' * FROM (';
       $sLimitString2 = 'TOP '.($iOffset + $iRowsPerPage);
       $sLimitString3 = ') AS t1 ORDER BY ac.lastname DESC) AS t2 ORDER BY ac.lastname';
   }
}
else
    $sLimitString1 = $sLimitString2 = $sLimitString3 = '';

if( isset( $url_data_id ) ) {

    if( empty( $sSearchPattern ) )
        $sSearchPattern = 'WHERE ';
    else
        $sSearchPattern .= ' AND ';

    $qBookingData =
    $apx_dbc->query( "
           $sLimitString1
           SELECT $sLimitString2 DISTINCT
                  ab.booking_id, ac.firstname, ac.lastname,
                  ab.date_begin, ab.date_end,
                  aa.name, ab.customer_id, ab.persons, ab.showit,
                  ab.room_id, aa.roomnumber, ab.is_inquiry
           FROM
           ( ".$apx_dbtableprefix."bookings AS ab INNER JOIN ".$apx_dbtableprefix."rooms AS aa
                  ON aa.room_id = ab.room_id )
                  INNER JOIN ".$apx_dbtableprefix."customers AS ac
           ON ab.customer_id = ac.customer_id
           $sSearchPattern ab.customer_id = $url_data_id
           ORDER BY ab.date_begin
           $sLimitString3
           " );
}
else {

  $qBookingData =
  $apx_dbc->query( "
         $sLimitString1
         SELECT $sLimitString2
                ab.booking_id, ac.firstname, ac.lastname, ab.date_begin,
                aa.name, ab.customer_id,
                ab.date_end, ab.persons, ab.showit, ab.room_id,
                aa.roomnumber, ab.is_inquiry
         FROM
         (
           ".$apx_dbtableprefix."bookings AS ab
           LEFT JOIN
           ".$apx_dbtableprefix."customers AS ac
           ON ac.customer_id = ab.customer_id
         )
         INNER JOIN
         ".$apx_dbtableprefix."rooms AS aa
           ON aa.room_id = ab.room_id
         $sSearchPattern
         ORDER BY ac.lastname, ac.firstname, ab.date_begin
         $sLimitString3
         " );

  $qBookingCount =
    $apx_dbc->query( "
    SELECT COUNT( ab.booking_id ) AS bookingcount
    FROM
    ( ".$apx_dbtableprefix."bookings AS ab
      LEFT JOIN
      ".$apx_dbtableprefix."customers AS ac
      ON ac.customer_id = ab.customer_id
    )
    INNER JOIN
    ".$apx_dbtableprefix."rooms AS aa
    ON aa.room_id = ab.room_id ".
    $sSearchPattern
     );

  $iListCount = $qBookingCount->data[ 0 ][ 'bookingcount' ];
}
?>

